Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033582
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2016-08-01 15:482016-12-16 18:37
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisionbbfa7b5fc9dc
ProjectionnoneETAnoneTarget Version3.0PR17Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033582: make summary functions deactivable

DescriptionSummary functions can cause performance problems in environments with big volumes of data.

It should be possible to disable this functionality by adding a new setting in grid configuration.

Project page: http://wiki.openbravo.com/wiki/Projects:Deactivable_Summary_Functions [^]
Steps To Reproduce-
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033588 closedcaristu Datasource Request done having a summary function with lazy filtering enabled 
related to design defect 0033591 newplatform Datasource request fired after displaying a new column in grid having lazy filtering enabled 
related to defect 0034324 closedinigosanchez Summary function does not function for WIndow's created using hql tables. 

-  Notes
(0088924)
hgbot (developer)
2016-08-09 14:08

Repository: erp/devel/pi
Changeset: c070107d842a7b2ba4a466e69784f7e64ac4fc04
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Aug 09 14:06:03 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c070107d842a7b2ba4a466e69784f7e64ac4fc04 [^]

fixes issue 33582: make summary functions deactivable

Make it possible to deactivate the summary functions in standard window grids and pick and execute grids, using Application Dictionary Grid Configuration feature.

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
---
(0088972)
hgbot (developer)
2016-08-11 12:02

Repository: erp/devel/pi
Changeset: ebdb891c7b5ee61bebb528b5f4f878d52e27f18d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Aug 11 12:01:26 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ebdb891c7b5ee61bebb528b5f4f878d52e27f18d [^]

related to issue 33582: revert changes

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
---
(0089054)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089057)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0090609)
hgbot (developer)
2016-10-17 09:24

Repository: erp/devel/pi
Changeset: bbfa7b5fc9dc239210b919110881d16a50536153
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Oct 17 09:20:44 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bbfa7b5fc9dc239210b919110881d16a50536153 [^]

fixes issue 33582: make summary functions deactivable

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
---
(0090610)
caristu (developer)
2016-10-17 09:26

Test Cases added to TestLink:

https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10138 [^] [^]

https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-10139 [^] [^]
(0090821)
alostale (developer)
2016-10-24 15:24

code reviewed + tested
(0092513)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-08-01 15:48 alostale New Issue
2016-08-01 15:48 alostale Assigned To => platform
2016-08-01 15:48 alostale Modules => Core
2016-08-01 15:48 alostale Triggers an Emergency Pack => No
2016-08-02 09:25 caristu Relationship added related to 0033588
2016-08-02 09:29 alostale Tag Attached: Performance
2016-08-02 09:29 alostale Status new => acknowledged
2016-08-02 09:51 caristu Relationship added related to 0033591
2016-08-08 13:27 caristu Assigned To platform => caristu
2016-08-08 13:27 caristu Status acknowledged => scheduled
2016-08-09 14:08 hgbot Checkin
2016-08-09 14:08 hgbot Note Added: 0088924
2016-08-09 14:08 hgbot Status scheduled => resolved
2016-08-09 14:08 hgbot Resolution open => fixed
2016-08-09 14:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c070107d842a7b2ba4a466e69784f7e64ac4fc04 [^]
2016-08-09 14:09 caristu Review Assigned To => alostale
2016-08-09 14:09 caristu Issue Monitored: alostale
2016-08-10 14:46 caristu Note Added: 0088958
2016-08-11 12:02 hgbot Checkin
2016-08-11 12:02 hgbot Note Added: 0088972
2016-08-11 12:03 caristu Note View State: private: 88958
2016-08-11 12:03 caristu Status resolved => new
2016-08-11 12:03 caristu Resolution fixed => open
2016-08-11 12:03 caristu Status new => scheduled
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089054
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089057
2016-08-29 11:39 caristu Target Version => 3.0PR17Q1
2016-08-29 11:40 caristu Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/c070107d842a7b2ba4a466e69784f7e64ac4fc04 [^] =>
2016-08-30 09:09 caristu Description Updated View Revisions
2016-10-17 09:24 hgbot Checkin
2016-10-17 09:24 hgbot Note Added: 0090609
2016-10-17 09:24 hgbot Status scheduled => resolved
2016-10-17 09:24 hgbot Resolution open => fixed
2016-10-17 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bbfa7b5fc9dc239210b919110881d16a50536153 [^]
2016-10-17 09:25 caristu Note Deleted: 0088958
2016-10-17 09:26 caristu Note Added: 0090610
2016-10-24 15:24 alostale Note Added: 0090821
2016-10-24 15:24 alostale Status resolved => closed
2016-10-24 15:24 alostale Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092513
2017-03-16 09:40 caristu Relationship added related to 0034324


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker